Bug 253011 - RSS feed of "FreeBSD Security Advisories and Errata notices" doesn't include information about Security Advisories at all
Summary: RSS feed of "FreeBSD Security Advisories and Errata notices" doesn't include ...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Website (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sergio Carlavilla Delgado
URL: https://www.freebsd.org/security/feed...
Keywords:
Depends on:
Blocks: 253768
  Show dependency treegraph
 
Reported: 2021-01-26 06:50 UTC by Yasuhiro Kimura
Modified: 2021-05-16 10:42 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-01-26 06:50:48 UTC
Subject explains everything. RSS feed of "FreeBSD Security Advisories and Errata notices" (https://www.freebsd.org/security/feed.xml) doesn't include information about Security Advisories at all.

BTW, There have been "SECURITY ADVISORIES" and "ERRATA NOTICES" sections in the top page of FreeBSD web site and both of them have been links to RSS feed. Before the migration to Hugo/AsciiDoctor they pointed to different RSS feeds. But after the migration both of them point to above RSS feed. Is it intended change?
Comment 1 SBB 2021-01-28 00:28:00 UTC
I'm having the same issue. The weird thing is if I open it in Thunderbird I see both Security and Errata however if I open it in a browser-based RSS reader I only get Errata.
Comment 2 Yasuhiro Kimura 2021-01-28 01:50:12 UTC
OK, by downloading raw feed data I understand what is happening. In feed data entry for EN is listed in decremental date order at first, and next entry for SA is listed in same order. I use the feed date with my custom program and it uses the data as is. So it looks as if only information of EN was included. I don't use Thunderbird but probably it sorts all entries in decremental date order before using it. So user see entries of both EN and SA.

So in conclusion I'm not sure if this is a bug. But personally I'm happy if feed data is changed so all entries are listed simply in decremental date order.
Comment 3 commit-hook freebsd_committer 2021-05-16 10:38:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=a1968cbbedb7b3ac7dab38edaa28fc3eb3dec24e

commit a1968cbbedb7b3ac7dab38edaa28fc3eb3dec24e
Author:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
AuthorDate: 2021-05-16 10:32:57 +0000
Commit:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
CommitDate: 2021-05-16 10:32:57 +0000

    RSS feed Security Advisories and Errata notices show first 10 entries

    Show only the fist 10 entries in the security RSS feed like the
    old website

    PR:             253011
    Submitted by:   yasu (at) utahime.org

 website/themes/beastie/layouts/security/security.rss.xml | 5 +++++
 1 file changed, 5 insertions(+)
Comment 4 Sergio Carlavilla Delgado freebsd_committer 2021-05-16 10:42:46 UTC
Fixed.
Right now both will be in the same RSS feed.
But only the first 10 entries of each will be displayed. Like the old website. 
But instead two different RSS we're gonna have only one.